=== debian/changelog ===
kdeconnect (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Drop patch upstream_nautilus-drop-spurious-shebang.patch applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:49 +0100

kdeconnect (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Backport upstream commit 71803f04d8521199dfa6960f5b84801d9f35d9ee to drop
    the spurious shebang in the nautilus plugin; patch
    upstream_nautilus-drop-spurious-shebang.patch
    - drop the patch fix-python3-interpreter-location, no more needed now
  * Update the patches:
    - kdeconnect-openssh-8.2.patch: refresh

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 09:34:13 +0100
