## kdeconnect 23.08.0

=== debian/changelog ===
kdeconnect (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:41 +0100

kdeconnect (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:35 +0100

kdeconnect (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:12 +0100

kdeconnect (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * Update Build-Depends:
    - add modemmanager-qt-dev
    - add wayland-protocols
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Add runtime depends on qml-module-org-kde-kirigami-addons-labs-
    mobileform, as indicated in cmake output.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:50 +0100

kdeconnect (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)
  * Drop no longer needed python shebang patch.

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 12:16:00 +0000

kdeconnect (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)
  * Refresh OpenSSL patch.

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:14:36 -0600

kdeconnect (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:38 +0000

kdeconnect (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 14:00:38 +0000

kdeconnect (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:47 +0000

kdeconnect (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:08 +0000

kdeconnect (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update kdeconnect-openssh-8.2.patch
  * Drop included nautilus-43-compat.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:33 +0000

kdeconnect (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:40 +0000
