## kdeconnect 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Release Service Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -12,7 +12,7 @@
     set(KF5_MIN_VERSION "5.36.0")
     set(QT_MIN_VERSION "5.6.0")
 else()
-    set(KF5_MIN_VERSION "5.96.0")
+    set(KF5_MIN_VERSION "5.101.0")
     set(QT_MIN_VERSION "5.15.2")
     set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")
 endif()
@@ -66,7 +66,7 @@
     set(Qca_LIBRARY qca-qt${QT_MAJOR_VERSION})
 
     set(KF5_REQUIRED_COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications KIO KCMUtils Service Solid Kirigami2 People WindowSystem GuiAddons)
-    set(KF5_OPTIONAL_COMPONENTS DocTools Wayland)
+    set(KF5_OPTIONAL_COMPONENTS DocTools)
 
     set_package_properties(KF5Kirigami2 PROPERTIES
         DESCRIPTION "QtQuick plugins to build user interfaces based on KDE UX guidelines"
@@ -83,7 +83,9 @@
         endif()
         find_package(Wayland 1.9 REQUIRED Client)
         find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS WaylandClient)
-        find_package(PlasmaWaylandProtocols REQUIRED)
+        find_package(WaylandProtocols REQUIRED)
+        pkg_check_modules(XkbCommon IMPORTED_TARGET xkbcommon)
+        pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)
     endif()
 
     find_package(KF5PeopleVCard)
@@ -118,10 +120,6 @@
     string(REGEX MATCH "PlatformIdentity[^\n]*" PLATFORM_IDENTITY "${SDK_MANIFEST}" )
     string(REGEX MATCH "[0-9][0-9][0-9][0-9][0-9]" WIN_SDK_VERSION "${PLATFORM_IDENTITY}" )
     add_compile_definitions(WIN_SDK_VERSION=${WIN_SDK_VERSION})
-endif()
-
-if (NOT ZSH_AUTOCOMPLETE_DIR)
-set(ZSH_AUTOCOMPLETE_DIR "${KDE_INSTALL_DATADIR}/zsh/site-functions")
 endif()
 
 add_subdirectory(core)
