=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,11 @@
 qt5_add_resources(kdeconnect_SRCS resources.qrc)
 
 qt5_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)
+
+ecm_setup_version(${PROJECT_VERSION}
+    VARIABLE_PREFIX KDE_CONNECT
+    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h
+)
 
 if (WIN32)
     include(ECMAddAppIcon)
@@ -17,6 +22,8 @@
     )
 endif()
 
+ecm_find_qmlmodule(org.kde.kirigamiaddons.labs.mobileform 0.1)
+
 add_executable(kdeconnect-app
     main.cpp
     ${kdeconnect_SRCS}
