=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,14 @@
     add_subdirectory(screensaver-inhibit)
     add_subdirectory(virtualmonitor)
 
-    if(NOT WIN32)
+    if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
+        find_package(KF5ModemManagerQt ${KF5_MIN_VERSION})
+        if (TARGET KF5::ModemManagerQt)
+            add_subdirectory(mmtelephony)
+        endif()
+    endif()
+
+    if(NOT WIN32 AND NOT APPLE)
         add_subdirectory(sendnotifications)
     endif()
