=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kdeconnect
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
                extra-cmake-modules (>= 5.96.0~),
                gettext,
                kirigami2-dev (>= 5.96.0~),
@@ -34,7 +35,9 @@
                libwayland-dev (>= 1.9~),
                libx11-dev,
                libxtst-dev,
+               modemmanager-qt-dev,
                pkg-config,
+               pkg-kde-tools,
                plasma-wayland-protocols,
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.10.0~),
@@ -42,11 +45,12 @@
                qtmultimedia5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
-Standards-Version: 4.6.2
+               wayland-protocols,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kdeconnect.kde.org
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
 
 Package: kdeconnect
 Architecture: any
@@ -55,6 +59,7 @@
          libqca-qt5-2-plugins,
          plasma-framework,
          qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-people,
          qml-module-qt-labs-platform,
@@ -70,7 +75,7 @@
          sshfs (>= 3),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: fuse (<< 3),
+Breaks: fuse (<< 3)
 Description: connect smartphones to your desktop devices
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!
@@ -79,10 +84,10 @@
 
 Package: nautilus-kdeconnect
 Architecture: all
-Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
-Enhances: nautilus,
-Breaks: kdeconnect (<< 20.12),
-Replaces: kdeconnect (<< 20.12),
+Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends}
+Enhances: nautilus
+Breaks: kdeconnect (<< 20.12)
+Replaces: kdeconnect (<< 20.12)
 Description: KDE Connect integration for Nautilus
  Extension providing integration to send files to KDE Connect compatible
  devices directly from within Nautilus.
